Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Bare-metal usage when an SDK isn’t an option.
curl -H "Authorization: Bearer $ALTERSCOPE_API_KEY" \ -H "Accept: application/json" \ "https://api.alterscope.org/v2/yield/opportunities?limit=10&risk_band=1"
curl -H "Authorization: Bearer $ALTERSCOPE_API_KEY" \ "https://api.alterscope.org/v2/yield/opportunities/hyperliquid-btc-basis"
curl -H "Authorization: Bearer $ALTERSCOPE_API_KEY" \ -H "Content-Type: application/json" \ -X POST \ -d '{ "positions": [ { "opportunity_id": "hyperliquid-btc-basis", "notional_usd": 50000 }, { "opportunity_id": "aave-usdc-lending", "notional_usd": 50000 } ], "include_scenarios": true }' \ "https://api.alterscope.org/v2/yield/portfolio/analyze"
curl -H "Authorization: Bearer $ALTERSCOPE_API_KEY" \ -H "Content-Type: application/json" \ -X POST \ -d '{ "url": "https://your.app/alterscope-webhook", "events": ["peg.depeg.start", "vault.cap.changed"] }' \ "https://api.alterscope.org/v2/webhooks"
201
data.signing_secret
whsec_
POST /v2/webhooks/{id}/rotate-secret
curl -sI -H "Authorization: Bearer $ALTERSCOPE_API_KEY" \ "https://api.alterscope.org/v2/yield/opportunities?limit=1" \ | grep -i "X-RateLimit"